Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 167079 - call hierarchy for comment will not stop showing Please Wait...
call hierarchy for comment will not stop showing Please Wait...
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Refactoring
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jan Pokorsky
issues@java
JA_COMMUNITY
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-15 08:26 UTC by Masaki Katakai
Modified: 2009-07-06 06:19 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Masaki Katakai 2009-06-15 08:26:03 UTC
Product Version: NetBeans IDE Dev (Build 200906120154)
Java: 1.6.0_07; Java HotSpot(TM) 64-Bit Server VM 1.6.0_07-b06-57
System: Mac OS X version 10.5.7 running on x86_64

Calling Call Hierarchy against string in comment field
(e.g. param, args in the following case)

	/**
	 * @param args the command line arguments
	 */

will show "Please Wait" in result window. However, it will not stop.
It continues to show "Please Wait".
Comment 1 Masaki Katakai 2009-06-15 08:28:33 UTC
It looks regression. On 6.5.1, it shows "Select some method to explorer.".
Comment 2 Jan Pokorsky 2009-06-18 13:11:47 UTC
Reproducible, I will take a look at it.
Comment 3 Jan Pokorsky 2009-06-18 13:59:48 UTC
fixed 135b66228bc4
Comment 4 Quality Engineering 2009-06-19 07:47:18 UTC
Integrated into 'main-golden', will be available in build *200906190201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/135b66228bc4
User: Jan Pokorsky <jpokorsky@netbeans.org>
Log: #167079: switch root node even in case the model is null to replace Please wait node
Comment 5 Masaki Katakai 2009-07-06 06:19:20 UTC
Thank you very much! It's working fine on build 200907051400. Marked as VERIFIED.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo